---
# ---- starting with FILE COPY... 
# ---- plan to transition to templates for more flexibility
#
#- name: Configure prometheus server/scraper
#  template:
#    src: prometheus.yml.j2
#    dest: {{ prometheus_config }}
#    owner: root
#    group: root
#    mode: 0644
#    validate: promtool check config %s

- name: Configure prometheus server/scraper {{ prometheus_config_dir }}/prometheus.yml
  copy:
    src: etc/prometheus.yml
    dest: "{{ prometheus_config_dir }}/prometheus.yml"
    owner: root
    group: root
    mode: 0644
    validate: /usr/bin/promtool check config %s
  notify: restart prometheus

- name: Configure prometheus launch arguments (/etc/default/prometheus)
  copy:
    src: etc/default/prometheus
    dest: /etc/default/prometheus
    owner: root
    group: root
    mode: 0644
  notify: restart prometheus

- name: Enable prometheus systemd unit
  service:
    name: "prometheus"
    enabled: true
    state: started

- name: Configure prometheus alertmanager {{ prometheus_config_dir }}/alertmanager.yml
  copy:
    src: etc/alertmanager.yml
    dest: "{{ prometheus_config_dir }}/alertmanager.yml"
    owner: root
    group: root
    mode: 0644
    validate: /usr/bin/amtool check-config %s
  notify: restart prometheus-alertmanager

- name: Configure prometheus alertmanager launch arguments (/etc/default/prometheus-alertmanager)
  copy:
    src: etc/default/prometheus-alertmanager
    dest: /etc/default/prometheus-alertmanager
    owner: root
    group: root
    mode: 0644
  notify: restart prometheus-alertmanager

- name: Set up config "plugin" directory targets.d
  file:
    state: directory
    path: "{{ prometheus_config_dir }}/targets.d"
    owner: root
    group: root
    mode: 0755
    # can't validate standalone file, sadly.

- name: Enable prometheus-alertmanager systemd unit
  service:
    name: "prometheus-alertmanager"
    enabled: true
    state: started

